// general
* {
  box-sizing: border-box;
}
html {
  width: 100%;
  height: 100%;
  overflow: hidden;
  -webkit-overflow-scrolling: touch;
}
body {
  margin: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
}

ol,
ul {
  margin: 0;
  padding: 0;
  list-style: none;
}

// boxes
.minibox {
  height: 40px;
  width: 40px;
  border: 10px dashed greenyellow;
}

.medbox {
  height: 150px;
  width: 250px;
  border: 10px solid orange;
}

.widebox {
  border: 10px solid violet;
  height: 100px;
  width: 100%;
}

.megabox {
  height: 4000px;
  width: 4000px;
  border: 10px solid red;
}

.stretchy {
  height: 100%;
  width: 100%;
  border: 10px dashed yellow;
}

.listbox {
  height: 48px;
  width: 100%;
  border: 10px solid blue;
}

// .tall {
//   height: 4000px;
//   border: 10px dashed blue;
// }

.wide {
  border: 10px dashed violet;
  min-height: 100px;
  max-height: 100%;
  width: 4000px;
}

.padded {
  padding: 32px;
}

// layout
main#container {
  border-color: brown;
  display: grid;
  grid-template:
    'nav nav' 48px
    'aside atts' max-content
    'aside comments' 1fr / minmax(max-content, 300px) 1fr;
  position: relative;
  overflow: hidden;
}

nav {
  grid-area: nav;
}
aside {
  grid-area: aside;
  display: grid;
  position: relative;
  grid-template:
    'all' 1fr
    'recently-opened' 200px;
  gap: 32px;

  #order-list {
    display: grid;
    overflow: auto;
    grid-area: all;
    gap: 16px;
  }
  #recently-opened-order-list {
    grid-area: recently-opened;
    display: grid;
    overflow: auto;
    gap: 16px;
  }
}
section#atts {
  grid-area: atts;
  overflow: auto;

  #att-list {
    display: grid;
    grid-auto-flow: column;
    gap: 32px;
  }
}
section#comments {
  grid-area: comments;
  overflow: auto;
  position: relative;
  grid-template: 'comments' 1fr 'btn' 48px;
  display: grid;

  #comment-list {
    display: grid;
    gap: 32px;
    grid-area: comments;
    position: absolute;
    height: 100%;
    width: 100%;
    overflow: auto;
  }

  #comment-btn {
    grid-area: btn;
  }
}
